#include <bits/stdc++.h>
using namespace std;
int main(){
	ios::sync_with_stdio(false);cin.tie(0);
	int n, q;
	cin >> n >> q;
	int a[n];
	int b[q];
	for(int i = 0; i < n; i++){
		cin>>a[i];
	}
	sort(a, a+n);
	for(int i = 0; i < q; i++){
		cin>>b[i];
	}
	for(int i = 0; i < q; i++){
		int vecihOd, manjihOd = lower_bound(a, a+n, b[i])-a;
		int resenje;
		if(*lower_bound(a, a+n, b[i]) == b[i]){
			int j = upper_bound(a, a+n, b[i])-a;
			if(b[i] == a[n-1])
				j = n;
			vecihOd = n-j;
			if(vecihOd+1 == manjihOd || vecihOd == manjihOd) resenje = 0;
			else if(vecihOd != manjihOd){
				if(vecihOd < manjihOd && n%2 == 1) resenje = abs(vecihOd-manjihOd)-1;
				else if(vecihOd < manjihOd && n%2 == 0){
					if(manjihOd > n/2) resenje = abs(vecihOd-manjihOd)-1;
					else resenje = abs(vecihOd-manjihOd);
				}
				else if(vecihOd > manjihOd) resenje = abs(vecihOd-manjihOd);
			}
		}
		else{
			if(b[i] > a[n-1]) resenje = n;
			else if(b[i] < a[0]) resenje = n+1;
			else{
				vecihOd = n-manjihOd;
				if(vecihOd+1 == manjihOd) resenje = 0;
				else resenje = abs(vecihOd-manjihOd)+1;
			}
		}
		cout<<resenje<<endl;
	}
}